## `stream_parser::done`

Check if a complete JSON text has been parsed.

### Synopsis

    bool
    done() const noexcept;

### Description

This function returns `true` when all of these conditions are met:

- A complete serialized JSON text has been presented to the parser, and

- No error has occurred since the parser was constructed, or since the last call to `reset`,

### Complexity

Constant.

### Exception Safety

No-throw guarantee.

Edit this page